#
# Conditional build:
%bcond_without	sysprof		# sysprof profiling
%bcond_without	systemtap	# systemtap/dtrace trace support
#
Summary:	JavaScript bindings for GNOME
Summary(pl.UTF-8):	Wiązania JavaScriptu dla GNOME
Name:		gjs
Version:	1.58.3
Release:	1
License:	MIT and (MPL v1.1 or GPL v2+ or LGPL v2+)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gjs/1.58/%{name}-%{version}.tar.xz
# Source0-md5:	bce6dea9a6583a8b3c6af5854df76aaf
URL:		https://wiki.gnome.org/Projects/Gjs
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	cairo-devel
BuildRequires:	cairo-gobject-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.58.0
BuildRequires:	gobject-introspection-devel >= 1.41.4
BuildRequires:	libffi-devel
BuildRequires:	libstdc++-devel >= 6:5.0
BuildRequires:	libtool >= 2:2.2.0
BuildRequires:	mozjs60-devel >= 60
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
# pkgconfig(sysprof-capture-3)
%{?with_sysprof:BuildRequires:	sysprof-devel >= 3.34}
%{?with_systemtap:BuildRequires:	systemtap-sdt-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.58.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjs allows using GNOME libraries from JavaScript. It is mainly based
on Spidermonkey JavaScript engine and the GObject introspection
framework.

%description -l pl.UTF-8
Gjs pozwala używać bibliotek GNOME z JavaScriptem. Jest oparty głównie
na silniku JavaScriptu Spidermonkey i systemie GObject introspection.

%package devel
Summary:	Header files for gjs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gjs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel
Requires:	cairo-gobject-devel
Requires:	glib2-devel >= 1:2.58.0
Requires:	gobject-introspection-devel >= 1.41.4
Requires:	libffi-devel
Requires:	mozjs60-devel >= 60

%description devel
Header files for gjs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gjs.

%package -n systemtap-gjs
Summary:	systemtap/dtrace probes for gjs
Summary(pl.UTF-8):	Sondy systemtap/dtrace dla gjs
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	systemtap-client

%description -n systemtap-gjs
systemtap/dtrace probes for gjs.

%description -n systemtap-gjs -l pl.UTF-8
Sondy systemtap/dtrace dla gjs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-profiler%{!?with_sysprof:=no} \
	--disable-silent-rules \
	%{?with_systemtap:--enable-systemtap}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# belongs to installed-tests
%{__rm} $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/gjs
%attr(755,root,root) %{_bindir}/gjs-console
%attr(755,root,root) %{_libdir}/libgjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs.so.0
%dir %{_libdir}/gjs
%dir %{_libdir}/gjs/girepository-1.0
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib
%{_datadir}/gjs-1.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgjs.so
%{_includedir}/gjs-1.0
%{_pkgconfigdir}/gjs-1.0.pc
%{_examplesdir}/%{name}-%{version}

%files -n systemtap-gjs
%defattr(644,root,root,755)
%{_datadir}/systemtap/tapset/gjs.stp
%changelog
* Mon Nov 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gjs.git;a=log;h=master

* Mon Nov 25 2019 Jakub Bogusz <qboosh@pld-linux.org> cb9a346
- updated to 1.58.3 (emergency bugfix)

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 1c06e8e
- updated to 1.58.2

* Sat Oct 19 2019 Jan Rękorajski <baggins@pld-linux.org> fb31a9a
- release 2 (by relup.sh)

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> aee54d6
- updated to 1.58.1
- removed obsolete noc++17 patch

* Sat May 25 2019 Jakub Bogusz <qboosh@pld-linux.org> c4adf36
- updated to 1.56.2
- added noc++17 patch (stick to C++ 14 features as specified by docs; require just gcc 5)

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 264d675
- Updated to 1.54.3

* Wed Mar 14 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e8f0ae7
- Update to 1.52.0

* Sun Nov 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c71bbf6
- Update to 1.50.2

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 87c1fd0
- Update to 1.50.1

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> f3a983f
- updated to 1.48.6

* Wed Jun 21 2017 Jakub Bogusz <qboosh@pld-linux.org> e5ee9e8
- updated to 1.48.5

* Sat May 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> bea5836
- Update to 1.48.3

* Sun Apr 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1f9b805
- Update to 1.48.2

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> ee5cf52
- updated dependencies

* Tue Apr 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6e22755
- Update to 1.48.1

* Mon Mar 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9762e2f
- Update to 1.48.0

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 250505a
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 46fc928
- Update to 1.46.0

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 45bcb8f
- updated to 1.44.0

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 5826bba
- updated to 1.43.3 (used by some GNOME 3.16 components)

